*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'Roboto', sans-serif;
}

body{
    background-image: url("../images/FondoKraxurNutrition.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
}

main{
    width: 100%;
    padding: 20px;
    margin: auto;
    margin-top: 100px;
}

.contenedor__todo{
    
    width: 100%;
    max-width: 800px;
    margin: auto;
    position: relative;
}

.caja__trasera{
    width: 100%;
    padding: 10px 20px;
    display: flex;
    justify-content: center;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(5px);
    background-color: #8224e3 
    

}

.caja__trasera div{
    margin: 100px 40px;
    color: rgb(255, 255, 255);
    transition: all 500ms;
}


.caja__trasera div p,
.caja__trasera button{
    margin-top: 30px;
}

.caja__trasera div h3{
    font-weight: 400;
    font-size: 26px;
}

.caja__trasera div p{
    font-size: 16px;
    font-weight: 300;
}

.caja__trasera button{
    padding: 10px 40px;
    border: 2px solid rgb(55, 178, 239);
    font-size: 14px;
    background: #FF318E;
    font-weight: 600;
    cursor: pointer;
    color: white;
    outline: none;
    transition: all 300ms;
}

.caja__trasera button:hover{
    background: #fff;
    color: #46A2FD;
}

/*Formularios*/

.contenedor__login-register{
    
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 380px;
    position: relative;
    top: -185px;
    left: 10px;
  

    /*La transicion va despues del codigo JS*/
    transition: left 500ms cubic-bezier(0.175, 0.885, 0.320, 1.275);
}

.contenedor__login-register form{
    
    width: 100%;
 
    padding: 50px 20px;
    background: rgb(255, 255, 255);
    position: absolute;
    border-radius: 10px;
}

.contenedor__login-register form h2{
    
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
    color: #FF318E;
}

.contenedor__login-register form input{
    width: 100%;
    margin-top: 20px;
    padding: 10px;
    border: none;
    background: #F2F2F2;
    font-size: 16px;
    outline: none;
}

.contenedor__login-register form button{
    padding: 10px 40px;
    margin-top: 40px;
    border: none;
    font-size: 14px;
    background: #FF318E;
    font-weight: 600;
    cursor: pointer;
    color: white;
    outline: none;
}




.formulario__login{
    opacity: 1;
    display: block;
}



.formulario__register{
    display: none;
}



@media screen and (max-width: 850px){

    main{
        margin-top: 50px;
    }

    .caja__trasera{
        max-width: 350px;
        height: 300px;
        flex-direction: column;
        margin: auto;
        
    }

    .caja__trasera div{
        margin: 0px;
        position: absolute;
       
    }


    /*Formularios*/

    .contenedor__login-register{
        top: -10px;
        left: -5px;
        margin: auto;
        
    }

    .contenedor__login-register form{
        position: relative;
        color:aquamarine
    }
}




@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,600;1,700;1,800;1,900&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Nunito', sans-serif;
    text-decoration: none;
}

:root{
    --color-esqueleto:#EFF3F5;
}

header{
    width: 100%;
    height: 60px;
    background: var(--color-esqueleto);
}

.cover{
    width: 100%;
    height: 500px;
    background: var(--color-esqueleto);
    margin-top: 20px;
}

.container__article{
    max-width: 1000px;
    padding: 0px 20px;
    margin: auto;
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    
}

.container__article .box__article{
    width: 200px;
    height: 250px;
    background: var(--color-esqueleto);
    margin: 20px;
}



/*Aquí debajo va el FOOTER*/

footer{
    width: 100%;
    margin-top: 80px;
    padding: 10px 50px;
    background-image: url(../images/FondoKraxurNutrition.jpg);
    background-size: cover;
    background: #000000;
    
    /*background-color: #d0f0f8;
    Fondo principal: url("../images/FondoKraxurNutrition.jpg");
   */
}

.container__footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
    
}

.box__footer{
    display: flex;
    flex-direction: column;
    padding: 40px;
    
}

.box__footer .logo img{
    width: 180px;
}

.box__footer .terms{
    max-width: 350px;
    margin-top: 20px;
    font-weight: 500;
    color: #fff;
    font-size: 18px;
}

.box__footer h2{
    margin-bottom: 30px;
    color: #FF318E;
    font-weight: 700;
}

.box__footer a{
    margin-top: 10px;
    color: #fff;
    font-weight: 600;

}

.logo {

    display: block;
    margin: 0px auto;
}

.box__footer a:hover{
    opacity: 0.8;
}

.box__footer a .fab{
    font-size: 20px;
}

.box__copyright{
    max-width: 1200px;
    margin: auto;
    text-align: center;
    padding: 0px 40px;
}

.box__copyright p{
    margin-top: 20px;
    color: #7a7a7a;
}

.box__copyright hr{
    border: none;
    height: 1px;
    background-color: #7a7a7a;
}


/* aqui empieza el código que copie */

.prueba{

    color:purple;
}
  
  
  
  
  

  

  

  

  

 
  
  
  
  .ingresarh1{
    color: #d81313ea;
    text-align:center;
   
   
   
  }
  
  
  
  header, .alert{
    z-index: 100;
  }
  .description{
    height: 25px;
    overflow: hidden;
    transition: height .3s ease-in .3s;
  }
  .description:hover{
    height: 80px;
  }
  .carrito{
    min-height: 80vh;
    max-width: 1000px;
    margin: 0 auto;
    width: 100%;
  }
  .table__productos{
    display: flex;
  }
  .table__productos > img{
    width: 9rem;
    object-fit: contain;
    border-radius: 6px;
    margin-right: 20px;
  }
  .table__cantidad > input{
    width: 40px;
    border: none;
    outline: 0;
    font-size: 16px;
    font-weight: 700;
    margin-right: 30px;
    margin-bottom: 20px;
  }
  .hide, .remove{
    display: none;
  }
  


